
Redmine - Patch #32189

Remove unnecessary requiring of "rexml/document"

2019-10-03 15:33 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.5   

Description

rexml/document is unnecessary in lib/redmine/version.rb because the code that uses the library has been removed in r10616.

diff --git a/lib/redmine/version.rb b/lib/redmine/version.rb

index 8272e29e4..ef808a3ad 100644

--- a/lib/redmine/version.rb

+++ b/lib/redmine/version.rb

@@ -1,7 +1,5 @@

 # frozen_string_literal: true

-require 'rexml/document'

-

 module Redmine

   # @private

   module VERSION

Associated revisions

Revision 18588 - 2019-10-03 15:36 - Go MAEDA

Remove unnecessary requiring of "rexml/document" (#32189).

Revision 18590 - 2019-10-04 01:28 - Go MAEDA

Merged r18588 from trunk to 4.0-stable (#32189).

History

#1 - 2019-10-03 15:36 - Go MAEDA

- Status changed from New to Closed

Committed the fix.

#2 - 2019-10-04 01:28 - Go MAEDA

- Target version changed from 4.1.0 to 4.0.5
